## ev-mapping ev-mapping |

## Functions

EvMapping * | ev_mapping_list_find ()
EvMapping * | ev_mapping_list_find_custom ()
gpointer | ev_mapping_list_get_data ()

## Types and Values

struct | EvMapping

## Description

## Functions

### ev_mapping_list_find ()

    EvMapping *
    ev_mapping_list_find (EvMappingList *mapping_list,
                          gconstpointer data);

#### Parameters

mapping_list | an EvMappingList |
data | mapping data to find |

#### Returns

an EvMapping.

[transfer none]

### ev_mapping_list_find_custom ()

    EvMapping *
    ev_mapping_list_find_custom (EvMappingList *mapping_list,
                                 gconstpointer data,
                                 GCompareFunc func);

#### Parameters

mapping_list | an EvMappingList |
data | mapping data to find |
func | function to use for equality check. | [scope call]

#### Returns

an EvMapping.

[transfer none]

### ev_mapping_list_get_data ()

    gpointer
    ev_mapping_list_get_data (EvMappingList *mapping_list,
                              gdouble x,
                              gdouble y);

#### Parameters

mapping_list | an EvMappingList |
x | X coordinate |
y | Y coordinate |

#### Returns

the data of a mapping in the list at coordinates (x, y).

[transfer none]

## Types and Values

### struct EvMapping

    struct EvMapping {
    	EvRectangle area;
    	gpointer    data;
    };